/*
 *
 * BlockKind
 *
 */
public class BlockKind 
{
    public final static BlockKind WHILE = new BlockKind();
    public final static BlockKind IF = new BlockKind();
    public final static BlockKind SEQUENCE = new BlockKind();
    public final static BlockKind JOIN = new BlockKind();

    public String toString()
    {
        if( this == WHILE )
            return "While Block";
        else if( this == IF )
            return "If Block";
        else if( this == SEQUENCE )
            return "Sequence Block";
        else if( this == JOIN )
            return "Join Block";
        else
            return "Unknown Block";
    }
}
