//package oberon_oo;
import java.lang.System;
import java_cup.runtime.*;
import sym;
class Utility {
  public static void assert
    (
     boolean expr
     )
      { 
	if (false == expr) {
	  throw (new Error("Error: Assertion failed." ));
	}
      }
  private static final String errorMsg[] = {
    "Error: Unmatched end-of-comment punctuation.",
    "Error: Unmatched start-of-comment punctuation.",
    "Error: Unclosed string.",
    "Error: Illegal character."
    };
  public static final int E_ENDCOMMENT = 0; 
  public static final int E_STARTCOMMENT = 1; 
  public static final int E_UNCLOSEDSTR = 2; 
  public static final int E_UNMATCHED = 3; 
  public static void error
    (
     int code
     )
      {
	System.out.println(errorMsg[code]);
      }
}
class Yytoken extends Symbol {
  Yytoken 
    (
     int index,
	 Object obj,
     int line,
     int charBegin,
     int charEnd
     )
      {
		super( index, charBegin, charEnd, obj );
		m_line = line;
      }
  public int m_line;
}


class Scanner {
	private final int YY_BUFFER_SIZE = 512;
	private final int YY_F = -1;
	private final int YY_NO_STATE = -1;
	private final int YY_NOT_ACCEPT = 0;
	private final int YY_START = 1;
	private final int YY_END = 2;
	private final int YY_NO_ANCHOR = 4;
	private final byte YYEOF = -1;

  private int comment_count = 0;
	private java.io.DataInputStream yy_instream;
	private int yy_buffer_index;
	private int yy_buffer_read;
	private int yy_buffer_start;
	private int yy_buffer_end;
	private byte yy_buffer[];
	private int yychar;
	private int yyline;
	private int yy_lexical_state;
	Scanner (java.io.InputStream instream) {
		if (null == instream) {
			throw (new Error("Error: Bad input stream initializer."));
		}
		yy_instream = new java.io.DataInputStream(instream);
		yy_buffer = new byte[YY_BUFFER_SIZE];
		yy_buffer_read = 0;
		yy_buffer_index = 0;
		yy_buffer_start = 0;
		yy_buffer_end = 0;
		yychar = 0;
		yyline = 0;
		yy_lexical_state = YYINITIAL;
	}
	private boolean yy_eof_done = false;
	private final int YYINITIAL = 0;
	private final int yy_state_dtrans[] = {
		0
	};
	private void yybegin (int state) {
		yy_lexical_state = state;
	}
	private byte yy_advance ()
		throws java.io.IOException {
		int next_read;
		int i;
		int j;

		if (yy_buffer_index < yy_buffer_read) {
			return yy_buffer[yy_buffer_index++];
		}

		if (0 != yy_buffer_start) {
			i = yy_buffer_start;
			j = 0;
			while (i < yy_buffer_read) {
				yy_buffer[j] = yy_buffer[i];
				++i;
				++j;
			}
			yy_buffer_end = yy_buffer_end - yy_buffer_start;
			yy_buffer_start = 0;
			yy_buffer_read = j;
			yy_buffer_index = j;
			next_read = yy_instream.read(yy_buffer,
					yy_buffer_read,
					yy_buffer.length - yy_buffer_read);
			if (-1 == next_read) {
				return YYEOF;
			}
			yy_buffer_read = yy_buffer_read + next_read;
		}

		while (yy_buffer_index >= yy_buffer_read) {
			if (yy_buffer_index >= yy_buffer.length) {
				yy_buffer = yy_double(yy_buffer);
			}
			next_read = yy_instream.read(yy_buffer,
					yy_buffer_read,
					yy_buffer.length - yy_buffer_read);
			if (-1 == next_read) {
				return YYEOF;
			}
			yy_buffer_read = yy_buffer_read + next_read;
		}
		return yy_buffer[yy_buffer_index++];
	}
	private void yy_move_start () {
		if ((byte) '\n' == yy_buffer[yy_buffer_start]) {
			++yyline;
		}
		++yychar;
		++yy_buffer_start;
	}
	private void yy_pushback () {
		--yy_buffer_end;
	}
	private void yy_mark_start () {
		int i;
		for (i = yy_buffer_start; i < yy_buffer_index; ++i) {
			if ((byte) '\n' == yy_buffer[i]) {
				++yyline;
			}
		}
		yychar = yychar
			+ yy_buffer_index - yy_buffer_start;
		yy_buffer_start = yy_buffer_index;
	}
	private void yy_mark_end () {
		yy_buffer_end = yy_buffer_index;
	}
	private void yy_to_mark () {
		yy_buffer_index = yy_buffer_end;
	}
	private java.lang.String yytext () {
		return (new java.lang.String(yy_buffer,0,
			yy_buffer_start,
			yy_buffer_end - yy_buffer_start));
	}
	private int yylength () {
		return yy_buffer_end - yy_buffer_start;
	}
	private byte[] yy_double (byte buf[]) {
		int i;
		byte newbuf[];
		newbuf = new byte[2*buf.length];
		for (i = 0; i < buf.length; ++i) {
			newbuf[i] = buf[i];
		}
		return newbuf;
	}
	private final int YY_E_INTERNAL = 0;
	private final int YY_E_MATCH = 1;
	private java.lang.String yy_error_string[] = {
		"Error: Internal error.\n",
		"Error: Unmatched input.\n"
	};
	private void yy_error (int code,boolean fatal) {
		java.lang.System.out.print(yy_error_string[code]);
		java.lang.System.out.flush();
		if (fatal) {
			throw new Error("Fatal Error.\n");
		}
	}
	private int yy_acpt[] = {
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR
	};
	private int yy_cmap[] = {
		0, 0, 0, 0, 0, 0, 0, 0,
		1, 1, 1, 0, 0, 1, 0, 0,
		0, 0, 0, 0, 0, 0, 0, 0,
		0, 0, 0, 0, 0, 0, 0, 0,
		1, 0, 0, 2, 0, 0, 0, 0,
		3, 4, 5, 6, 7, 8, 9, 0,
		10, 10, 10, 10, 10, 10, 10, 10,
		10, 10, 11, 12, 13, 14, 15, 0,
		0, 16, 17, 18, 19, 20, 21, 22,
		23, 24, 25, 25, 26, 27, 28, 29,
		30, 25, 31, 32, 33, 34, 35, 36,
		25, 37, 25, 38, 0, 39, 0, 0,
		0, 25, 25, 25, 25, 25, 25, 25,
		25, 25, 25, 25, 25, 25, 25, 25,
		25, 25, 25, 25, 25, 25, 25, 25,
		25, 25, 25, 0, 0, 0, 0, 0,
		0, 0, 0, 0, 0, 0, 0, 0,
		0, 0, 0, 0, 0, 0, 0, 0,
		0, 0, 0, 0, 0, 0, 0, 0,
		0, 0, 0, 0, 0, 0, 0, 0,
		0, 0, 0, 0, 0, 0, 0, 0,
		0, 0, 0, 0, 0, 0, 0, 0,
		0, 0, 0, 0, 0, 0, 0, 0,
		0, 0, 0, 0, 0, 0, 0, 0,
		0, 0, 0, 0, 0, 0, 0, 0,
		0, 0, 0, 0, 0, 0, 0, 0,
		0, 0, 0, 0, 0, 0, 0, 0,
		0, 0, 0, 0, 0, 0, 0, 0,
		0, 0, 0, 0, 0, 0, 0, 0,
		0, 0, 0, 0, 0, 0, 0, 0,
		0, 0, 0, 0, 0, 0, 0, 0,
		0, 0, 0, 0, 0, 0, 0, 0,
		0 
	};
	private int yy_rmap[] = {
		0, 1, 2, 2, 2, 2, 2, 2,
		2, 2, 3, 2, 4, 2, 5, 6,
		2, 2, 2, 2, 2, 7, 7, 7,
		7, 7, 8, 7, 7, 7, 7, 7,
		7, 7, 7, 7, 7, 7, 9, 10,
		11, 12, 13, 14, 15, 16, 17, 18,
		19, 20, 21, 22, 23, 24, 25, 26,
		27, 28, 29, 30, 31, 32, 33, 34,
		35, 36, 37, 38, 39, 40, 41, 42,
		43, 44, 45, 46, 47, 7, 48, 49
		
	};
	private int yy_nxt[][] = {
		{ -1, 1, 2, 3, 4, 5, 6, 7,
			8, 9, 38, 10, 11, 12, 13, 14,
			15, 75, 76, 39, 56, 77, 77, 77,
			40, 77, 77, 57, 77, 41, 77, 78,
			77, 68, 77, 58, 79, 77, 16, 17
			
		},
		{ -1, 1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, 18, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, 19, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, 20, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, 77, 69,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 66, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 38, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 77, 77, 77,
			42, 77, 77, 77, 77, 21, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 22, 77, 77,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 23, 77, 77,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 24, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 25, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 26, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, 77, 27,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 28, 77, 77, 77,
			52, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 29, 77, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 30, 77, 77, 77,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 31, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 32, 77, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 33, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 34, 77, 77,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 35, 77, 77, 77,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 36, 77, 77, 77,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 37, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 59, 77, 43, 77, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 44, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			45, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, 77, 77,
			46, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 47, 77, 77, 77,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, 48, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			49, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 77, 77, 77,
			50, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, 77, 77,
			51, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 53, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 54, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, 77, 55,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 77, 77, 60,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 61, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, 77, 62,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 77, 63, 77,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 64, 77, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 74, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 77, 77, 77,
			65, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 67, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 70, 77, 77, 77,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 71, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 72, 77, 77, 77,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, 77, -1, -1, -1, -1, -1,
			77, 77, 77, 77, 77, 77, 77, 73,
			77, 77, 77, 77, 77, 77, 77, 77,
			77, 77, 77, 77, 77, 77, -1, -1
			
		}
	};
	public Symbol next_token ()
		throws java.io.IOException {
		byte yy_lookahead;
		int yy_anchor = YY_NO_ANCHOR;
		int yy_state = yy_state_dtrans[yy_lexical_state];
		int yy_next_state = YY_NO_STATE;
		int yy_last_accept_state = YY_NO_STATE;
		boolean yy_initial = true;
		int yy_this_accept;

		yy_mark_start();
		yy_this_accept = yy_acpt[yy_state];
		if (YY_NOT_ACCEPT != yy_this_accept) {
			yy_last_accept_state = yy_state;
			yy_mark_end();
		}
		while (true) {
			yy_lookahead = yy_advance();
			yy_next_state = YY_F;
			if (YYEOF != yy_lookahead) {
				yy_next_state = yy_nxt[yy_rmap[yy_state]][yy_cmap[yy_lookahead]];
			}
			if (YY_F != yy_next_state) {
				yy_state = yy_next_state;
				yy_initial = false;
				yy_this_accept = yy_acpt[yy_state];
				if (YY_NOT_ACCEPT != yy_this_accept) {
					yy_last_accept_state = yy_state;
					yy_mark_end();
				}
			}
			else {
				if (YYEOF == yy_lookahead && true == yy_initial) {

	return( new Yytoken( sym.EOF, "", yyline, yychar, yychar ));
				}
				else if (YY_NO_STATE == yy_last_accept_state) {
					throw (new Error("Lexical Error: Unmatched Input."));
				}
				else {
					yy_to_mark();
					yy_anchor = yy_acpt[yy_last_accept_state];
					if (0 != (YY_END & yy_anchor)) {
						yy_pushback();
					}
					if (0 != (YY_START & yy_anchor)) {
						yy_move_start();
					}
					switch (yy_last_accept_state) {
					case 0:
						{
		return( new Yytoken( sym.NUMBER, new Integer(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -2:
						break;
					case 1:
						{ }
					case -3:
						break;
					case 2:
						{ return( new Yytoken( sym.NE,        new String(yytext()), yyline, yychar, yychar+1 )); }
					case -4:
						break;
					case 3:
						{ return( new Yytoken( sym.LPAREN,    new String(yytext()), yyline, yychar, yychar+1 )); }
					case -5:
						break;
					case 4:
						{ return( new Yytoken( sym.RPAREN,    new String(yytext()), yyline, yychar, yychar+1 )); }
					case -6:
						break;
					case 5:
						{ return( new Yytoken( sym.TIMES,     new String(yytext()), yyline, yychar, yychar+1 )); }
					case -7:
						break;
					case 6:
						{ return( new Yytoken( sym.PLUS,      new String(yytext()), yyline, yychar, yychar+1 )); }
					case -8:
						break;
					case 7:
						{ return( new Yytoken( sym.COMMA,     new String(yytext()), yyline, yychar, yychar+1 )); }
					case -9:
						break;
					case 8:
						{ return( new Yytoken( sym.MINUS,     new String(yytext()), yyline, yychar, yychar+1 )); }
					case -10:
						break;
					case 9:
						{ return( new Yytoken( sym.PERIOD,    new String(yytext()), yyline, yychar, yychar+1 )); }
					case -11:
						break;
					case 10:
						{ return( new Yytoken( sym.COLON,     new String(yytext()), yyline, yychar, yychar+1 )); }
					case -12:
						break;
					case 11:
						{ return( new Yytoken( sym.SEMICOLON, new String(yytext()), yyline, yychar, yychar+1 )); }
					case -13:
						break;
					case 12:
						{ return( new Yytoken( sym.LT,        new String(yytext()), yyline, yychar, yychar+1 )); }
					case -14:
						break;
					case 13:
						{ return( new Yytoken( sym.EQ,        new String(yytext()), yyline, yychar, yychar+1 )); }
					case -15:
						break;
					case 14:
						{ return( new Yytoken( sym.GT,        new String(yytext()), yyline, yychar, yychar+1 )); }
					case -16:
						break;
					case 15:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -17:
						break;
					case 16:
						{ return( new Yytoken( sym.LBRACKET,  new String(yytext()), yyline, yychar, yychar+1 )); }
					case -18:
						break;
					case 17:
						{ return( new Yytoken( sym.RBRACKET,  new String(yytext()), yyline, yychar, yychar+1 )); }
					case -19:
						break;
					case 18:
						{ return( new Yytoken( sym.ASSIGN,    new String(yytext()), yyline, yychar, yychar+2 )); }
					case -20:
						break;
					case 19:
						{ return( new Yytoken( sym.LE,        new String(yytext()), yyline, yychar, yychar+2 )); }
					case -21:
						break;
					case 20:
						{ return( new Yytoken( sym.GE,        new String(yytext()), yyline, yychar, yychar+2 )); }
					case -22:
						break;
					case 21:
						{ return( new Yytoken( sym.DO,        new String(yytext()), yyline, yychar, yychar+2 )); }
					case -23:
						break;
					case 22:
						{ return( new Yytoken( sym.IF,        new String(yytext()), yyline, yychar, yychar+2 )); }
					case -24:
						break;
					case 23:
						{ return( new Yytoken( sym.OF,        new String(yytext()), yyline, yychar, yychar+2 )); }
					case -25:
						break;
					case 24:
						{ return( new Yytoken( sym.DIVIDE,    new String(yytext()), yyline, yychar, yychar+3 )); }
					case -26:
						break;
					case 25:
						{ return( new Yytoken( sym.END,       new String(yytext()), yyline, yychar, yychar+3 )); }
					case -27:
						break;
					case 26:
						{ return( new Yytoken( sym.MOD,       new String(yytext()), yyline, yychar, yychar+3 )); }
					case -28:
						break;
					case 27:
						{ return( new Yytoken( sym.VAR,       new String(yytext()), yyline, yychar, yychar+3 )); }
					case -29:
						break;
					case 28:
						{ return( new Yytoken( sym.ELSE,      new String(yytext()), yyline, yychar, yychar+4 )); }
					case -30:
						break;
					case 29:
						{ return( new Yytoken( sym.THEN,      new String(yytext()), yyline, yychar, yychar+4 )); }
					case -31:
						break;
					case 30:
						{ return( new Yytoken( sym.TYPE,      new String(yytext()), yyline, yychar, yychar+4 )); }
					case -32:
						break;
					case 31:
						{ return( new Yytoken( sym.ARRAY,     new String(yytext()), yyline, yychar, yychar+5 )); }
					case -33:
						break;
					case 32:
						{ return( new Yytoken( sym.BEGIN,     new String(yytext()), yyline, yychar, yychar+5 )); }
					case -34:
						break;
					case 33:
						{ return( new Yytoken( sym.CONST,     new String(yytext()), yyline, yychar, yychar+5 )); }
					case -35:
						break;
					case 34:
						{ return( new Yytoken( sym.ELSIF,     new String(yytext()), yyline, yychar, yychar+5 )); }
					case -36:
						break;
					case 35:
						{ return( new Yytoken( sym.WHILE,     new String(yytext()), yyline, yychar, yychar+5 )); }
					case -37:
						break;
					case 36:
						{ return( new Yytoken( sym.MODULE,    new String(yytext()), yyline, yychar, yychar+6 )); }
					case -38:
						break;
					case 37:
						{ return( new Yytoken( sym.RECORD,    new String(yytext()), yyline, yychar, yychar+6 )); }
					case -39:
						break;
					case 38:
						{
		return( new Yytoken( sym.NUMBER, new Integer(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -40:
						break;
					case 39:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -41:
						break;
					case 40:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -42:
						break;
					case 41:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -43:
						break;
					case 42:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -44:
						break;
					case 43:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -45:
						break;
					case 44:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -46:
						break;
					case 45:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -47:
						break;
					case 46:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -48:
						break;
					case 47:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -49:
						break;
					case 48:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -50:
						break;
					case 49:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -51:
						break;
					case 50:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -52:
						break;
					case 51:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -53:
						break;
					case 52:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -54:
						break;
					case 53:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -55:
						break;
					case 54:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -56:
						break;
					case 55:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -57:
						break;
					case 56:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -58:
						break;
					case 57:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -59:
						break;
					case 58:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -60:
						break;
					case 59:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -61:
						break;
					case 60:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -62:
						break;
					case 61:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -63:
						break;
					case 62:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -64:
						break;
					case 63:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -65:
						break;
					case 64:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -66:
						break;
					case 65:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -67:
						break;
					case 66:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -68:
						break;
					case 67:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -69:
						break;
					case 68:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -70:
						break;
					case 69:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -71:
						break;
					case 70:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -72:
						break;
					case 71:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -73:
						break;
					case 72:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -74:
						break;
					case 73:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -75:
						break;
					case 74:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -76:
						break;
					case 75:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -77:
						break;
					case 76:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -78:
						break;
					case 77:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -79:
						break;
					case 78:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -80:
						break;
					case 79:
						{
		return( new Yytoken( sym.IDENT, new String(yytext()), yyline, yychar, yychar + yytext().length() ));
	}
					case -81:
						break;
					default:
						yy_error(YY_E_INTERNAL,false);
					case -1:
					}
					yy_initial = true;
					yy_state = yy_state_dtrans[yy_lexical_state];
					yy_next_state = YY_NO_STATE;
					yy_last_accept_state = YY_NO_STATE;
					yy_mark_start();
					yy_this_accept = yy_acpt[yy_state];
					if (YY_NOT_ACCEPT != yy_this_accept) {
						yy_last_accept_state = yy_state;
					}
				}
			}
		}
	}
}
